OpenJPEG: opj_event_mgr Struct Reference

OpenJPEG 2.3.0

Data Fields
opj_event_mgr Struct Reference

Message handler object used for More...

`#include <event.h>`

## Data Fields
void * | m_error_data
| Data to call the event manager upon. More...
void * | m_warning_data
| Data to call the event manager upon. More...
void * | m_info_data
| Data to call the event manager upon. More...
opj_msg_callback | error_handler
| Error message callback if available, NULL otherwise. More...
opj_msg_callback | warning_handler
| Warning message callback if available, NULL otherwise. More...
opj_msg_callback | info_handler
| Debug message callback if available, NULL otherwise. More...

## Detailed Description

Message handler object used for

- Error messages
- Warning messages
- Debugging messages

## Field Documentation

## ◆ error_handler

opj_msg_callback opj_event_mgr::error_handler

Error message callback if available, NULL otherwise.

Referenced by opj_event_msg(), opj_set_default_event_handler(), and opj_set_error_handler().

## ◆ info_handler

opj_msg_callback opj_event_mgr::info_handler

Debug message callback if available, NULL otherwise.

Referenced by opj_event_msg(), opj_set_default_event_handler(), and opj_set_info_handler().

## ◆ m_error_data

void* opj_event_mgr::m_error_data

Data to call the event manager upon.

Referenced by opj_event_msg(), opj_set_default_event_handler(), and opj_set_error_handler().

## ◆ m_info_data

void* opj_event_mgr::m_info_data

Data to call the event manager upon.

Referenced by opj_event_msg(), opj_set_default_event_handler(), and opj_set_info_handler().

## ◆ m_warning_data

void* opj_event_mgr::m_warning_data

Data to call the event manager upon.

Referenced by opj_event_msg(), opj_set_default_event_handler(), and opj_set_warning_handler().

## ◆ warning_handler

opj_msg_callback opj_event_mgr::warning_handler

Warning message callback if available, NULL otherwise.

Referenced by opj_event_msg(), opj_set_default_event_handler(), and opj_set_warning_handler().

The documentation for this struct was generated from the following file:

- event.h